%define momorel 4
Name: libraw1394
Version: 0.9.0
Release: %{momorel}m
License: GPL
Group: System Environment/Libraries
Source0: http://download.sourceforge.net/libraw1394/%{name}_%{version}.tar.gz
NoSource: 0
URL: http://sourceforge.net/projects/libraw1394/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Summary: FireWire interface

%description 
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

The reason for making a library the interface to the kernel is to avoid
a program dependancy on the kernel version, which would hinder development and
optimization of raw1394.  If development changed the protocol and made it
incompatible with previous versions only the libraw1394 has to be upgraded to
match the kernel version (instead of all applications).

%package devel
Summary: Development and include files for libraw1394
Group: Development/Languages
Requires: %{name} == %{version}-%{release}
# AutoProv: no

%description devel
libraw1394 is the only supported interface to the kernel side raw1394 of
the Linux IEEE-1394 subsystem, which provides direct access to the connected
1394 buses to user space.  Through libraw1394/raw1394, applications can
directly send to and receive from other nodes without requiring a kernel driver
for the protocol in question.

This archive contains the header-files and static libraries for libraw1394 development

%prep
rm -rf %{buildroot}

%setup -q

%build
libtoolize -c -f
aclocal
autoconf
%configure
make

%install
#make install DESTDIR=%{buildroot}
%makeinstall aclocaldir=%{buildroot}%{_datadir}/aclocal

%post
ldconfig

%postun
ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README NEWS INSTALL COPYING.LIB  COPYING AUTHORS ChangeLog
%{_libdir}/libraw1394.so.*
%attr(0755,root,root) %{_bindir}/testlibraw
%{_mandir}/man1/testlibraw.1*

%files devel
%defattr(-,root,root)
%attr(0755,root,root) %dir %{_includedir}/libraw1394
%{_includedir}/libraw1394/raw1394.h
%{_includedir}/libraw1394/ieee1394.h
%{_includedir}/libraw1394/csr.h
%{_datadir}/aclocal/libraw1394.m4
%{_libdir}/libraw1394.la
%{_libdir}/libraw1394.a
%{_libdir}/libraw1394.so

%changelog
* Sat Oct  4 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.9.0-4m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Fri Jan 3 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.0-3m)
- move libraw1394.so to libraw1394-devel

* Thu Mar 21 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.9.0-2k)
- kondarize
- add libraw1394/ieee1394.h to %files section

* Mon Jun 04 2001 Harald Welte <laforge@gnumonks.org>
- redhat 7 compile...

* Mon Jun 04 2001 Harald Welte <laforge@conectiva.com>
+ libraw1394=0.9.0-1cl
- updated to 0.9.0

* Thu Apr 05 2001 Harald Welte <laforge@conectiva.com>
+ libraw1394-0.8.2-1cl
- initial conectiva RPM
- split devel package in devel / devel-static
- updated to 0.8.2

* Fri Jan 05 2001 Harald Welte <laforge@gnumonks.org>
- ported SPECfile to RedHat RPM
- libraw1394 0.8.1

* Mon Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6-2mdk
- clean spec

* Mon Jul 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-1mdk
- initial spec
